#include <string>

#include "project.h"

int main(int argc, char *argv[]) {
    std::string firstArg;
    std::string secondArg;
    if (argc > 1)
        firstArg = argv[1];
    else
        firstArg = "./";

    if (argc > 2)
        secondArg = argv[2];
    else
        secondArg = "./";

    Project root(firstArg, secondArg);
    bool success = root.read();

    int result = -1;
    if (success) {
        root.info("successfully parsed project " + root.getName());
        root.info("dependencies count is " + std::to_string(root.dependenciesCount()));

        root.discover();
        result = 0;
    }

    root.printLog();


    return result;
}
